Create edge configuration

Method to create edge configuration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The ID of the Organization.

string
required

The ID of the Cluster.

string
required

The ID of the edge location.

Body Params

Message to represent edge configurations.

string
required

The name of the edge configuration.

boolean

Whether node configuration is the default one.

gcp
object

GCP specific configuration.

aws
object

AWS specific configuration.

oci
object

OCI specific configuration.

nebius
object

Nebius specific configuration.

string

Custom cloud specific configuration.

string

Base64 encoded user data to run on the edge as part of bootstrap. The payload
must start with either #cloud-config (cloud-init YAML) or #! (shell
script with a shebang). On environments that support cloud-init both options are supported.

For #cloud-config, cloud-init's default merge behavior can be
customized inside the user-provided #cloud-config via the merge_how

Example overriding the default merge strategy:

#cloud-config
merge_how:

  • name: list
    settings: [prepend]
  • name: dict
    settings: [no_replace, recurse_list]
    bootcmd:
  • echo "configuring boot"
    runcmd:
  • echo "running user script"

Omni's internal #cloud-config part looks roughly like:

#cloud-config
cloud_final_modules:

  • [scripts-user, always]
    runcmd:
  • 'until curl --fail -H "Authorization: Token " -sSL "/.../edges/:getCloudInitScript" -o /tmp/omni-cloud-init.sh; do sleep 5; done'
  • ' /bin/bash /tmp/omni-cloud-init.sh'

For shebang (#!) user data, the script is executed as-is before Omni's internal bootstrap script runs.

cri
object

CRI configuration for the edge node.

string

Base64 encoded ssh public key to be used for provisioned nodes.
Example how to encode public key: cat ~/.ssh/id_ed25519.pub | base64 | tr -d '\n'

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json